Skip to content

Get Open Positions​

GET
/v1/perps/positions

Return your open perps positions. Filter to a single pair with the pair query parameter.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Query Parameters

pair

Currency pair symbol to filter by, e.g. BTCUSDC. For xyz pairs prefix with xyz: (e.g. xyz:METAUSDC).

Type
string

Responses​

Open positions retrieved successfully

application/json

Playground​

Authorization
Variables
Key
Value

Samples​